# Function checkArg

- checkArg<T>(parameter, value): ArgumentChecker<T>

- Provides a fluent interface for checking preconditions on method arguments.

  #### Type Parameters

  - T

  #### Parameters

  - parameter: string

    The name of the method parameter.

  - value: T

    The argument value to check.

  #### Returns ArgumentChecker<T>

  #### Example

      function myFunction(name, email, age) {
              checkArg("name", name).isNotMissing().isNotEmpty();
              checkArg("email", email).matches(".+@.+..+");
              checkArg("age", age).isGreaterThanOrEqualTo(
                  18,
                  "No minors allowed."
              );

              // ...
          }